USE COWS
GO
SET NOCOUNT ON;
GO
ALTER TABLE dbo.EVENT_HIST NOCHECK CONSTRAINT ALL
GO
--ALTER TABLE arch.EVENT_HIST NOCHECK CONSTRAINT ALL
--GO
DELETE FROM LK_ACTN WITH (TABLOCKX)
GO

INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('1','Event Submitted','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('2','Calendar Entry Added','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('3','Event Re-submitted','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('4','Calendar Entry Recreated','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('5','Publish','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('6','Email sent to Member,Activator,Reviewer,Publish CC,Team PDL','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('7','Reviewer updated the event','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('8','CPE Dispatch Email sent','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('9','Event Retracted','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('10','Event Rejected','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('11','Event Retracted after Publish/Email Sent','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('12','Reject','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('13','Activator Changed in Calendar','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('14','Email sent to remove calendar entry','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('15','Reschedule','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('16','Event Re-published','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('17','Completed','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('18','Completed Email Notification','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('19','In Progress','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('20','Event Data Updated','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('21','Event On-Hold','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('22','Event Off-Hold','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('23','Event Deleted','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('24','Fulfilling','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('25','Shipped','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('26','Cancel Received','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('27','Cancelled','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('28','Completed - Device Inaccessible','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('29','Event Returned','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('30','Event Returned after Publish/Email Sent','1','1','1',GETDATE(),GETDATE(), '1')


INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('31','Reschedule Fail Reason: Customer Not Ready','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('32','Reschedule Fail Reason: IPM Team Failure / Other','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('33','Reschedule Fail Reason: MDS Team Failure','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('34','Reschedule Fail Reason: MDS Systems','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('35','Reschedule Fail Reason: Ckt Physical','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('36','Reschedule Fail Reason: Ckt Logical','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('37','Reschedule Fail Reason: Wireless','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('38','Reschedule Fail Reason: Hardware','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('39','Reschedule Fail Reason: CPE Late/No Show','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('40','Reschedule Fail Reason: OOB Access','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('41','Reschedule Fail Reason: Phase Complete, Sending back for next Phase','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('42','Reschedule Fail Reason: Return to Published','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('43','Reschedule Fail Reason: Other, Send to FastTrack At-Will','1','1','1',GETDATE(),GETDATE(), '1')

INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('44','Reschedule, Email Notification Sent','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('45','Rework','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('50','Pending Device Return - 21+ days','1','1','1',GETDATE(),GETDATE(), '1')

INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('60','Event Email Suppressed','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('61','Event Expired','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('62','Event Retracted after Shipped','1','1','1',GETDATE(),GETDATE(), '1')

INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('63','Complete Pending UAT','1','1','1',GETDATE(),GETDATE(), '1')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('64','In Progress UAT','1','1','1',GETDATE(),GETDATE(), '1')

INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('65','CPT Submitted','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('66','CPT Ready for Provisioning','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('67','CPT Assigned','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('68','ODIE Validation','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('69','Email Shortname Notification','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('70','CPT Completed','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('71','Email IP Notification','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('72','Email MNSD/MNSW Notification','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('73','Email Assignment Notification','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('74','Returned to SDE','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('75','Reviewed By PM','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('76','CPT Resubmitted','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('77','CPT Provisioned','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('78','CPT Cancelled','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('79','CPT Updated','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('80','Email Cancelled CPT Notification','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES('81','CPT Redesign Created','1','1','1',GETDATE(),GETDATE(), '2')
INSERT LK_ACTN(ACTN_ID,ACTN_DES,REC_STUS_ID,CREAT_BY_USER_ID,MODFD_BY_USER_ID,MODFD_DT,CREAT_DT,ACTN_TYPE_ID)       VALUES(90, 'Manual Contact List Data', 1, 1, 1, GETDATE(), GETDATE(), 1)
GO

ALTER TABLE dbo.EVENT_HIST CHECK CONSTRAINT ALL
GO
--ALTER TABLE arch.EVENT_HIST CHECK CONSTRAINT ALL
--GO
